unit uVisualizaDetalhesLog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Mask, DBCtrls, ExtCtrls, Grids, DBGrids, ImgList,
  DB, DBClient;

type
  TfrmVisualizaDetalhesLog = class(TForm)
    PanelDados: TPanel;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Image5: TImage;
    Label6: TLabel;
    Image1: TImage;
    Label7: TLabel;
    Image2: TImage;
    Label8: TLabel;
    Image3: TImage;
    Label9: TLabel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    PanelBotoes: TPanel;
    btCancelar: TBitBtn;
    ClientDataSet_LOG: TClientDataSet;
    DataSource_LOG: TDataSource;
    ImageList1: TImageList;
    procedure btCancelarClick(Sender: TObject);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure FormCreate(Sender: TObject);
    procedure DataSource_LOGDataChange(Sender: TObject; Field: TField);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmVisualizaDetalhesLog: TfrmVisualizaDetalhesLog;

implementation

uses uFuncoesLog, uVisualizaLogs , uDM;

{$R *.dfm}

procedure TfrmVisualizaDetalhesLog.btCancelarClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmVisualizaDetalhesLog.DataSource_LOGDataChange(Sender: TObject;
  Field: TField);
var
  I: byte;
begin
  with ClientDataSet_LOG do
  begin
    DBGrid1.Columns.Clear;
    if Active then
    begin
      DBGrid1.Columns.Add.Width := 20;
      for I := 0 to (FieldCount-1) do
        DBGrid1.Columns.Add.FieldName := Fields[i].FieldName;
    end;
  end;
end;

procedure TfrmVisualizaDetalhesLog.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn; State: TGridDrawState);
begin
	if DBGrid1.DataSource.DataSet.Active and (Column.Index = 0) then
		ImageList1.Draw(DBGrid1.Canvas, Rect.Left, Rect.Top,
                    Integer(ClientDataSet_LOG.UpdateStatus));
end;

procedure TfrmVisualizaDetalhesLog.FormCreate(Sender: TObject);
begin
  with ClientDataSet_LOG do
  begin
    Close;
    LoadFromStream(
      StrToClientDataSet(
        dm.cdsLogs.FieldByName('DELTA').AsString) );
    Open;
  end;
end;

procedure TfrmVisualizaDetalhesLog.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key in [#13, #27] then
    btCancelar.Click;
end;

end.
