unit unt_Principal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, GIFImg, ExtCtrls, InvokeRegistry, StdCtrls, Rio,
  SOAPHTTPClient, CAPICOM_TLB, SOAPHTTPTrans, JwaWinCrypt, WinInet;

type
  TForm1 = class(TForm)
    Image1: TImage;
    StatusBar1: TStatusBar;
    HTTPRIO1: THTTPRIO;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure HTTPRIO1HTTPWebNode1BeforePost(const HTTPReqResp: THTTPReqResp;
      Data: Pointer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses nfeStatusServico;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 IStatusServico : NfeStatusServicoSoap;
begin
  IStatusServico := (HTTPRIO1 as NfeStatusServicoSoap);
  ShowMessage(IStatusServico.nfeStatusServicoNF(
    '<nfeCabecMsg> <?xml version="1.0" encoding="UTF-8"?>' +
    '<cabecMsg xmlns="http://www.portalfiscal.inf.br/nfe" versao="1.02">' +
    '<versaoDados>1.07</versaoDados>' +
    '</cabecMsg></nfeCabecMsg>',
    '<consStatServ versao="1.07" xmlns="http://www.portalfiscal.inf.br/nfe">' +
    '<tpAmb>2</tpAmb><cUF>43</cUF><xServ>STATUS</xServ></consStatServ>'));
end;


procedure TForm1.HTTPRIO1HTTPWebNode1BeforePost(const HTTPReqResp: THTTPReqResp;
  Data: Pointer);
var
  Store        : IStore;
  Certs        : ICertificates;
  Cert         : ICertificate2;
  CertContext  : ICertContext;
  PCertContext : PCCERT_CONTEXT;
  SerialNumber : String;
  i : Integer;
begin
  SerialNumber := '012A34567B890123'; //Nmero fictcio

  Store := CoStore.Create;
  //Repositrios de Certifcados da Mquina

  Store.Open( CAPICOM_CURRENT_USER_STORE, 'MY',    CAPICOM_STORE_OPEN_MAXIMUM_ALLOWED );
  //Abre a lista de certificados

  Certs := Store.Certificates ;
  //Aloca todos os certificados instalados na mquia

  i := 0;
  //loop de procura ao certificado requerido pelo nmero serial
  while i < Certs.Count do
   begin
     Cert := IInterface( Certs.Item[ i+1 ] ) as ICertificate2;
     //Cria objeto para acesso a leitura do certificado
     if UpperCase(Cert.SerialNumber ) = UpperCase(SerialNumber) then
     //se o nmero do serial for igual ao que queremos utilizar
      begin
        //carrega informaes do certificado
        CertContext := Cert as ICertContext;
        CertContext.Get_CertContext( Integer( PCertContext ) );

        if not (InternetSetOption( Data, 84,
            PCertContext, Sizeof( CERT_CONTEXT ) )) then
        begin
          ShowMessage( 'Falha ao selecionar o certificado.' );
        end;

        i := Certs.Count;
        //encerra o loop
      end;
     i := i + 1;
  end;

end;


end.


